PHP Manual
Prev |  | Next

# runkit_function_add

(PECL)

runkit_function_add -- Add a new function, similar to create_function()

## Description

bool runkit_function_add ( string funcname, string arglist, string code )

## Parameters

`funcname`

  Name of function to be created

`arglist`

  Comma separated argument list

`code`

  Code making up the function

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. A runkit_function_add() example

`<?php runkit_function_add('testme','$a,$b','echo "The value of a is $a\n"; echo "The value of b is $b\n";'); testme(1,2); ?>`

The above example will output:

    The value of a is 1
    The value of b is 2

## See Also

create_function()
runkit_function_redefine()
runkit_function_copy()
runkit_function_rename()
runkit_function_remove()
runkit_method_add()

Prev | Home | Next
runkit_constant_remove | Up | runkit_function_copy